The following packages have been kept back... - Ubuntu

This is a discussion on The following packages have been kept back... - Ubuntu ; Following is: 1. normal? 2. acceptable? **** screenshot **** root@server:/home/toylet/new# apt-get upgrade Reading package lists... Done Building dependency tree Reading state information... Done The following packages have been kept back: bind9 bind9-host dnsutils libbind9-30 libisc32 libisccc30 libisccfg30 linux-generic linux-headers-generic linux-image-generic ...

+ Reply to Thread
Results 1 to 6 of 6

Thread: The following packages have been kept back...

  1. The following packages have been kept back...

    Following is:

    1. normal?
    2. acceptable?

    **** screenshot ****

    root@server:/home/toylet/new# apt-get upgrade
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages have been kept back:
    bind9 bind9-host dnsutils libbind9-30 libisc32 libisccc30 libisccfg30
    linux-generic
    linux-headers-generic linux-image-generic
    linux-restricted-modules-generic ssl-cert
    0 upgraded, 0 newly installed, 0 to remove and 12 not upgraded.



    --
    @~@ Might, Courage, Vision, SINCERITY.
    / v \ Simplicity is Beauty! May the Force and Farce be with you!
    /( _ )\ (Xubuntu 8.04.1) Linux 2.6.26.2
    ^ ^ 19:33:01 up 18 days 3:45 4 users load average: 1.13 1.81 1.61
    ? ? (CSSA):
    http://www.swd.gov.hk/tc/index/site_...ub_addressesa/

  2. Re: The following packages have been kept back...

    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA1

    Man-wai Chang ToDie (33.6k) pravi:
    > Following is:
    >
    > 1. normal?
    > 2. acceptable?


    Depends on what you want I guess.

    AFAIK these packages are not upgraded because they as upgrades depend on
    new packages to be installed. Many of these upgrades are security fixes
    which need additional modules to be installed because they now contain
    some blacklists.

    Please note that these updates also contain what appears to be kernel
    upgrades. After you install them, they will be used on the next reboot
    and if you have any custom kernel modules, they may have to be reinstalled.

    If you want to upgrade, just use:# apt-get install bind9 bind9-host
    dnsutils libbind9-30 libisc32 libisccc30 libisccfg30 linux-generic
    linux-headers-generic linux-image-generic
    linux-restricted-modules-generic ssl-cert

    > **** screenshot ****
    >
    > root@server:/home/toylet/new# apt-get upgrade
    > Reading package lists... Done
    > Building dependency tree
    > Reading state information... Done
    > The following packages have been kept back:
    > bind9 bind9-host dnsutils libbind9-30 libisc32 libisccc30 libisccfg30
    > linux-generic
    > linux-headers-generic linux-image-generic
    > linux-restricted-modules-generic ssl-cert
    > 0 upgraded, 0 newly installed, 0 to remove and 12 not upgraded.


    LP,
    Jure
    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.6 (GNU/Linux)
    Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

    iD8DBQFItDBZB6mNZXe93qgRAmUZAJ4uBHtlbFF7etzX/iHAUxMjJV+kWQCgtx/z
    7WDaVoobTSJ7t6VNdyqVcDw=
    =BgWV
    -----END PGP SIGNATURE-----

  3. Re: The following packages have been kept back...

    > If you want to upgrade, just use:# apt-get install bind9 bind9-host
    > dnsutils libbind9-30 libisc32 libisccc30 libisccfg30 linux-generic
    > linux-headers-generic linux-image-generic
    > linux-restricted-modules-generic ssl-cert


    I believe I at least should upgrade BIND. Thanks!

    --
    @~@ Might, Courage, Vision, SINCERITY.
    / v \ Simplicity is Beauty! May the Force and Farce be with you!
    /( _ )\ (Xubuntu 8.04.1) Linux 2.6.26.2
    ^ ^ 12:30:01 up 19 days 20:42 3 users load average: 1.24 1.40 1.36
    (CSSA):
    http://www.swd.gov.hk/tc/index/site_...ub_addressesa/

  4. Re: The following packages have been kept back...

    > I believe I at least should upgrade BIND. Thanks!

    Well... doesn't work:

    root@server:/home/toylet# apt-get upgrade bind9 bind9-host dnsutils
    libbind9-30 libisc32 libisccc30 libisccfg30 ssl-cert
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages have been kept back:
    bind9 bind9-host dnsutils libbind9-30 libisc32 libisccc30 libisccfg30
    linux-generic
    linux-headers-generic linux-image-generic
    linux-restricted-modules-generic ssl-cert
    0 upgraded, 0 newly installed, 0 to remove and 12 not upgraded.

    --
    @~@ Might, Courage, Vision, SINCERITY.
    / v \ Simplicity is Beauty! May the Force and Farce be with you!
    /( _ )\ (Xubuntu 8.04.1) Linux 2.6.26.2
    ^ ^ 12:33:01 up 19 days 20:45 4 users load average: 1.51 1.47 1.39
    (CSSA):
    http://www.swd.gov.hk/tc/index/site_...ub_addressesa/

  5. Re: The following packages have been kept back...

    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA1

    Man-wai Chang ToDie (33.6k) pravi:
    >> I believe I at least should upgrade BIND. Thanks!

    >
    > Well... doesn't work:


    install not update!

    LP,
    Jure
    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.6 (GNU/Linux)
    Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

    iD8DBQFItcQjB6mNZXe93qgRAlKWAJ9Z0PwRw8Kfi5poiBPcdc KmjSOqOQCgga1O
    kzWGYFIHmRoNqhAQy7fgv1s=
    =zBa/
    -----END PGP SIGNATURE-----

  6. Re: The following packages have been kept back...

    >> Well... doesn't work:
    > install not update!


    Oouch.... sorry.
    It works.

    --
    @~@ Might, Courage, Vision, SINCERITY.
    / v \ Simplicity is Beauty! May the Force and Farce be with you!
    /( _ )\ (Xubuntu 8.04.1) Linux 2.6.26.2
    ^ ^ 10:47:01 up 20 days 18:59 4 users load average: 1.36 1.16 1.18
    (CSSA):
    http://www.swd.gov.hk/tc/index/site_...ub_addressesa/

+ Reply to Thread